events.listen('recipes', function(e) {
  //materials
  //removings
  e.remove({id:'redstone_arsenal:materials/flux_gem'})
  e.remove({id:'redstone_arsenal:materials/flux_plating'})
  e.remove({id:'redstone_arsenal:materials/flux_obsidian_rod'})
  e.remove({id:'redstone_arsenal:materials/flux_ingot_fire_charge_from_dust'})
  e.remove({id:'redstone_arsenal:smelting/flux_ingot_from_dust_blasting'})
  e.remove({id:'redstone_arsenal:smelting/flux_ingot_from_dust_smelting'})
  //Addings
  e.custom({
    "type": "extendedcrafting:combination",
    "powerCost": 100000,
    "input": {
      "item": "minecraft:diamond"
    },
    "ingredients": [
      {
        "item": "extendedcrafting:redstone_ingot"
      },
      {
        "item": "extendedcrafting:redstone_ingot"
      },
      {
        "item": "extendedcrafting:redstone_ingot"
      },
      {
        "item": "extendedcrafting:redstone_ingot"
      }
    ],
    "result": {
      "item": "redstone_arsenal:flux_gem"
    }
  })
  e.custom({
    "type": "extendedcrafting:combination",
    "powerCost": 1000,
    "input": {
      "item": "extendedcrafting:redstone_ingot"
    },
    "ingredients": [
      {
        "item": "redstone_arsenal:flux_dust"
      },
      {
        "item": "redstone_arsenal:flux_dust"
      },
      {
        "item": "redstone_arsenal:flux_dust"
      },
      {
        "item": "redstone_arsenal:flux_dust"
      }
    ],
    "result": {
      "item": "redstone_arsenal:flux_ingot"
    }
  })
  e.shaped('redstone_arsenal:flux_plating', [
    ' I ',
    'IGI',
    ' I '
  ], {
    I: 'redstone_arsenal:flux_ingot',
    G: 'redstone_arsenal:flux_gem'
  })
  e.shaped('redstone_arsenal:flux_obsidian_rod', [
    '  G',
    ' R ',
    'P  '
  ], {
    G: 'redstone_arsenal:flux_gem',
    R: 'redstone_arsenal:obsidian_rod',
    P: 'redstone_arsenal:flux_plating'
  })
  //stuff
  //removings
  e.remove({id: 'redstone_arsenal:flux_sword'})
  e.remove({id: 'redstone_arsenal:flux_shield'})
  e.remove({id: 'redstone_arsenal:flux_bow'})
  e.remove({id: 'redstone_arsenal:flux_crossbow'})
  e.remove({id: 'redstone_arsenal:flux_quiver'})
  e.remove({id: 'redstone_arsenal:flux_pickaxe'})
  e.remove({id: 'redstone_arsenal:flux_axe'})
  e.remove({id: 'redstone_arsenal:flux_excavator'})
  e.remove({id: 'redstone_arsenal:flux_wrench'})
  e.remove({id: 'redstone_arsenal:flux_controller'})
  //addings
  e.shaped('redstone_arsenal:flux_sword' ,[
    ' I ',
    ' P ',
    ' R '
  ], {
    I: 'redstone_arsenal:flux_ingot',
    P: 'redstone_arsenal:flux_plating',
    R: 'redstone_arsenal:flux_obsidian_rod'
  })
  e.shaped('redstone_arsenal:flux_shield' ,[
    'IPI',
    'IRI',
    'IPI'
  ], {
    I: 'redstone_arsenal:flux_ingot',
    P: 'redstone_arsenal:flux_plating',
    R: 'redstone_arsenal:flux_obsidian_rod'
  })
  e.shaped('redstone_arsenal:flux_bow' ,[
    ' IS',
    'RPS',
    ' IS'
  ], {
    I: 'redstone_arsenal:flux_ingot',
    P: 'redstone_arsenal:flux_plating',
    R: 'redstone_arsenal:flux_obsidian_rod',
    S: 'minecraft:string'
  })
  e.shaped('redstone_arsenal:flux_crossbow' ,[
    'IPI',
    'SRS',
    ' R '
  ], {
    I: 'redstone_arsenal:flux_ingot',
    P: 'redstone_arsenal:flux_plating',
    R: 'redstone_arsenal:flux_obsidian_rod',
    S: 'minecraft:string'
  })
  e.shaped('redstone_arsenal:flux_quiver' ,[
    'IPI',
    'RGS',
    'III'
  ], {
    I: 'redstone_arsenal:flux_ingot',
    P: 'redstone_arsenal:flux_plating',
    R: 'redstone_arsenal:flux_obsidian_rod',
    G: 'redstone_arsenal:flux_gear',
    S: 'minecraft:string'
  })
  e.shaped('redstone_arsenal:flux_pickaxe' ,[
    'IPI',
    ' R ',
    ' R '
  ], {
    I: 'redstone_arsenal:flux_ingot',
    P: 'redstone_arsenal:flux_plating',
    R: 'redstone_arsenal:flux_obsidian_rod'
  })
  e.shaped('redstone_arsenal:flux_axe' ,[
    'IRI',
    'IR ',
    ' R '
  ], {
    I: 'redstone_arsenal:flux_ingot',
    R: 'redstone_arsenal:flux_obsidian_rod'
  })
  e.shaped('redstone_arsenal:flux_excavator' ,[
    ' B ',
    'IRI',
    'PRP'
  ], {
    I: 'redstone_arsenal:flux_ingot',
    P: 'redstone_arsenal:flux_plating',
    R: 'redstone_arsenal:flux_obsidian_rod',
    B: 'redstone_arsenal:flux_metal_block'
  })
  e.shaped('redstone_arsenal:flux_wrench' ,[
    'GPG',
    ' R ',
    ' R '
  ], {
    G: 'redstone_arsenal:flux_gear',
    P: 'redstone_arsenal:flux_plating',
    R: 'redstone_arsenal:flux_obsidian_rod'
  })
  e.shaped('redstone_arsenal:flux_controller' ,[
    '   ',
    'GRI',
    ' P '
  ], {
    G: 'redstone_arsenal:flux_gear',
    P: 'redstone_arsenal:flux_plating',
    R: 'redstone_arsenal:flux_obsidian_rod',
    I: 'redstone_arsenal:flux_ingot'
  })
})
